aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar AdamKorcz <44787359+AdamKorcz@users.noreply.github.com>2022-02-16 03:52:08 +0000
committerGravatar GitHub <noreply@github.com>2022-02-16 14:52:08 +1100
commite81aa6c0bd279adaca0ebe0495950566efc88f77 (patch)
tree5604c9d138b50d01459aefc979ebdbbb3b8ad894
parentb5bd91e8043682a8707e803f35e4bcf2e08faede (diff)
[helm] Initial integration (#7291)
-rw-r--r--projects/helm/Dockerfile21
-rw-r--r--projects/helm/build.sh34
-rw-r--r--projects/helm/project.yaml13
3 files changed, 68 insertions, 0 deletions
diff --git a/projects/helm/Dockerfile b/projects/helm/Dockerfile
new file mode 100644
index 00000000..3f632728
--- /dev/null
+++ b/projects/helm/Dockerfile
@@ -0,0 +1,21 @@
+# Copyright 2022 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+################################################################################
+
+FROM gcr.io/oss-fuzz-base/base-builder-go
+RUN git clone --depth 1 https://github.com/helm/helm
+RUN git clone --depth 1 https://github.com/cncf/cncf-fuzzing
+COPY build.sh $SRC/
+WORKDIR $SRC/helm
diff --git a/projects/helm/build.sh b/projects/helm/build.sh
new file mode 100644
index 00000000..6c7e774a
--- /dev/null
+++ b/projects/helm/build.sh
@@ -0,0 +1,34 @@
+#!/bin/bash -eu
+# Copyright 2022 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+################################################################################
+set -o nounset
+set -o pipefail
+set -o errexit
+set -x
+
+mv $SRC/cncf-fuzzing/projects/helm/strvals_fuzzer_test.go \
+ $SRC/helm/pkg/strvals/
+
+mv $SRC/cncf-fuzzing/projects/helm/ignore_fuzzer_test.go \
+ $SRC/helm/internal/ignore/
+
+
+sed 's/go 1.16/go 1.18/g' -i $SRC/helm/go.mod
+
+gotip mod download && gotip mod tidy
+gotip get github.com/AdamKorcz/go-118-fuzz-build/utils
+compile_native_go_fuzzer helm.sh/helm/v3/internal/ignore FuzzIgnoreParse fuzz_ignore_parse
+compile_native_go_fuzzer helm.sh/helm/v3/pkg/strvals FuzzStrvalsParse fuzz_strvals_parse
diff --git a/projects/helm/project.yaml b/projects/helm/project.yaml
new file mode 100644
index 00000000..5de924d4
--- /dev/null
+++ b/projects/helm/project.yaml
@@ -0,0 +1,13 @@
+homepage: "https://helm.sh"
+main_repo: "https://github.com/helm/helm"
+primary_contact: "cncf-helm-core-maintainers@lists.cncf.io"
+auto_ccs :
+ - "adam@adalogics.com"
+ - "david@adalogics.com"
+ - "scott@r6by.com"
+ - "matt.farina@gmail.com"
+language: go
+fuzzing_engines:
+ - libfuzzer
+sanitizers:
+ - address